Name:           openib-mstflint
Summary:        Mellanox firmware burning tool
Version: 	1.3
Release: 	3%{?dist}
License:        BSD 3-Clause, GPL v2 or later
Group:          Applications/System
Source: http://www.openfabrics.org/downloads/mstflint-%{version}.tar.gz
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libstdc++-devel, zlib-devel
ExclusiveArch: i386 x86_64 ia64 ppc ppc64

%description
This package contains a burning tool for Mellanox manufactured HCA cards.
It also provides access to the relevant source code.

%prep
%setup -q -n mstflint-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
%configure
make

%install
install -D -m 0755 mstmread $RPM_BUILD_ROOT%{_bindir}/mstmread
install -D -m 0755 mstmwrite $RPM_BUILD_ROOT%{_bindir}/mstmwrite
install -D -m 0755 mstflint $RPM_BUILD_ROOT%{_bindir}/mstflint
install -D -m 0755 mstregdump $RPM_BUILD_ROOT%{_bindir}/mstregdump
install -D -m 0755 mstvpd $RPM_BUILD_ROOT%{_bindir}/mstvpd
install -D -m 0644 mtcr.h       $RPM_BUILD_ROOT%{_includedir}/mtcr.h

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%doc README
%_bindir/*
%_includedir/*

%changelog
* Fri May 23 2008 Doug Ledford <dledford@redhat.com> - 1.3-3
- Rename package to openib-mstflint since previous fix didn't work with
  webqa up2date setup
- Resolves: bz447707

* Wed May 21 2008 Doug Ledford <dledford@redhat.com> - 1.3-2
- Remove obsoletes so upgrades will work
- Resolves: bz447707

* Tue Apr 01 2008 Doug Ledford <dledford@redhat.com> - 1.3-1
- Update to OFED 1.3 final bits
- Related: bz441825

* Sun Jan 27 2008 Doug Ledford <dledford@redhat.com> - 1.2-2
- Obsolete the old openib-mstflint package

* Fri Jan 25 2008 Doug Ledford <dledford@redhat.com> - 1.2-1
- Initial import into CVS

* Thu Jul 19 2007 - Vladimir Sokolovsky vlad@mellanox.co.il
- Initial Package, Version 1.2
